//
// Customer.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct Customer: Codable {

    public enum CustomerContractType: String, Codable { 
        case free = "free"
        case demo = "demo"
        case pay = "pay"
    }
    /** Unique identifier for the customer */
    public var _id: Int64
    /** Company name */
    public var companyName: String
    /** Customer type */
    public var customerContractType: CustomerContractType
    /** Maximal disc space which can be allocated by customer in bytes. */
    public var quotaMax: Int64
    /** Used amount of disc space in bytes */
    public var quotaUsed: Int64
    /** Maximal number of users */
    public var userMax: Int
    /** Number of users which are already allocated. */
    public var userUsed: Int
    /** Creation date */
    public var createdAt: Date
    /** Determines if  customer is locked */
    public var isLocked: Bool?
    /** Number of days left for trial period (relevant only for type &#x60;demo&#x60;) */
    public var trialDaysLeft: Int?
    /** Provider customer ID value (relevant only for type &#x60;pay&#x60;) */
    public var providerCustomerId: String?
    /** Modification date */
    public var updatedAt: Date?
    /** Date of last seen login for the customer */
    public var lastLoginAt: Date?
    /** Customer attributes */
    public var customerAttributes: CustomerAttributes?
    /** Maximal number of webhooks [Since v4.19.0] */
    public var webhooksMax: Int64?
    /** Customer UUID [Since v4.21.0] */
    public var customerUuid: String?

    public enum CodingKeys: String, CodingKey { 
        case _id = "id"
        case companyName
        case customerContractType
        case quotaMax
        case quotaUsed
        case userMax
        case userUsed
        case createdAt
        case isLocked
        case trialDaysLeft
        case providerCustomerId
        case updatedAt
        case lastLoginAt
        case customerAttributes
        case webhooksMax
        case customerUuid
    }


}

